import { Dispatch, SetStateAction } from 'react';
import { ContextState, Langs } from '../providers/LangProvider';
export interface UseLangReturn<T> extends ContextState<T> {
    setLang: Dispatch<SetStateAction<Langs>>;
    t: T;
}
export declare const useLang: <T>() => UseLangReturn<T>;
